#
#	$HOME/mc/geant/src/lemsr/Makefile
#
#	makefile to compile and link the program geant_lemsr to
#	simulate decaying muons at the LE-muSR spectrometer at PSI
#	NTuple file to be analysed by PAW.
#
#	TP,	15-Sep-2000,	PSI
#		09-Apr-2001
#
#--------------------------------------------------------------------------
#
#	The following lines contain specific switches for different
#	Unix systems. Outcomment the unwanted.
#
#--------------------------------------------------------------------------
#
#	For Digital Unix
#
#FF = f77
#
#--------------------------------------------------------------------------
#
#	For Linux
#
FF = g77
CFLAGS = -c -I$(CERN_ROOT)/include/ -Wno-globals -finit-local-zero
#CFLAGS += -fno-automatic    # not really necessary
#
#--------------------------------------------------------------------------
#	
OBJ =	geant_lemsr_main.o get_direction.o gudcay.o gukine.o \
	guout.o gustep.o gutrack.o gutreve.o michel.o rotate.o ugeom.o	
.F.o:
	$(FF) $(CFLAGS) $*.F

geant_lemsr:	$(OBJ) 
	$(FF) -o $(HOME)/bin/geant_lemsr $(OBJ) \
	`cernlib geant321 pawlib graflib packlib mathlib`
#	`cernlib geant321 pawlib graflib/Motif packlib mathlib`
#	
#	the program cernlib searches the cernlib libraries as well as
#	needed system libraries		
#
clean:
	rm -f *.o *~ \#* .#*
#--------------------------------------------------------------------------
#
#	EOF
#
